import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/notice_board_event_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/notice_board_event_detail_entity.g.dart';

@JsonSerializable()
class NoticeBoardEventDetailEntity {
	late int id = 0;
	late String title = '';
	late String datetime = '';
	late String content = '';
	late List<String> resources = [];
	@JSONField(name: "created_at")
	late String createdAt = '';

	NoticeBoardEventDetailEntity();

	factory NoticeBoardEventDetailEntity.fromJson(Map<String, dynamic> json) => $NoticeBoardEventDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $NoticeBoardEventDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}